summaryrefslogtreecommitdiffstats
path: root/source/a/tcsh/tcsh.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/tcsh/tcsh.SlackBuild')
-rwxr-xr-xsource/a/tcsh/tcsh.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/a/tcsh/tcsh.SlackBuild b/source/a/tcsh/tcsh.SlackBuild
index 9c41d8b11..eeee6f187 100755
--- a/source/a/tcsh/tcsh.SlackBuild
+++ b/source/a/tcsh/tcsh.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=tcsh
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -69,6 +69,9 @@ cd ${PKGNAM}-$VERSION || exit 1
# built-in color ls:
zcat $CWD/${PKGNAM}.nobuiltincolorls.diff.gz | patch -p1 --verbose || exit 1
+# Fix history merging:
+zcat $CWD/tcsh.sh.hist.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \